## org.cybergarage.upnp
Class ArgumentList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector
                  org.cybergarage.upnp.ArgumentList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class ArgumentList

extends Vector

See Also:
  Serialized Form

Field Summary
`static String` `ELEM_NAME`

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArgumentList()`

Method Summary
`Argument` `getArgument(int n)`
`Argument` `getArgument(String name)`
`void` `set(ArgumentList inArgList)`

Methods inherited from class java.util.Vector

`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEM_NAME

    public static final String ELEM_NAME

See Also:
  Constant Field Values

Constructor Detail

### ArgumentList

    public ArgumentList()

Method Detail

### getArgument

    public Argument getArgument(int n)

### getArgument

    public Argument getArgument(String name)

### set

    public void set(ArgumentList inArgList)